RubyGems Navigation menu

sequel_pg 1.17.1

sequel_pg overwrites the inner loop of the Sequel postgres adapter row fetching code with a C version. The C version is significantly faster than the pure ruby version that Sequel uses by default. sequel_pg also offers optimized versions of some dataset methods, as well as adds support for using PostgreSQL streaming.

Gemfile:
= Copy to clipboard Copied!

Installeer:
=

Versies:

  1. 1.17.1 - January 04, 2023 (26 KB)
  2. 1.17.0 - October 05, 2022 (26 KB)
  3. 1.16.0 - August 16, 2022 (26 KB)
  4. 1.15.0 - March 16, 2022 (25,5 KB)
  5. 1.14.0 - September 22, 2020 (25 KB)
Toon alle versies (88 totaal)

Runtime afhankelijkheden (2):

pg >= 0.18.0, != 1.2.0
sequel >= 4.38.0

Eigenaren:

Pushed by:

Authors:

  • Jeremy Evans

SHA 256 checksum:

af750c059c83340d343a2634956178a88dca3592dcfc773b85defa43ec0e4506

Total downloads 5.215.116

Voor deze versie 624.714

Licentie:

MIT

Required Ruby Version: >= 1.9.3

Links: